# DataExchange
TKSTEPBase
StepBasic

# StepBasic_PersonAndOrganizationRole Class Reference

`#include <StepBasic_PersonAndOrganizationRole.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_PersonAndOrganizationRole ()
| Returns a PersonAndOrganizationRole .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_PersonAndOrganizationRole::StepBasic_PersonAndOrganizationRole | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_PersonAndOrganizationRole::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_PersonAndOrganizationRole::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_PersonAndOrganizationRole::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_PersonAndOrganizationRole::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_PersonAndOrganizationRole::name `[private]`

The documentation for this class was generated from the following file:

- StepBasic_PersonAndOrganizationRole.hxx